/* =========================================================
 * ====                   WARNING                        ===
 * =========================================================
 * The code in this tab has been generated from the GUI form
 * designer and care should be taken when editing this file.
 * Only add/edit code inside the event handlers i.e. only
 * use lines between the matching comment tags. e.g.

 void myBtnEvents(GButton button) { //_CODE_:button1:12356:
     // It is safe to enter your event code here  
 } //_CODE_:button1:12356:
 
 * Do not rename this tab!
 * =========================================================
 */

public void dropList1_click1(GDropList source, GEvent event) { //_CODE_:comPortList:466745:
  println("comPortList - GDropList >> GEvent." + event + " @ " + millis());
} //_CODE_:comPortList:466745:

public void slider1_change1(GSlider source, GEvent event) { //_CODE_:Led_Brightness:740510:
  
  int brightness;
  brightness = 255 - Led_Brightness.getValueI();
  if (serial != null) {
    serial.write("0,"+brightness+'\n');
  }
  println(brightness);
} //_CODE_:Led_Brightness:740510:

public void button2_click1(GButton source, GEvent event) { //_CODE_:button2:797107:
  println("button2 - GButton >> GEvent." + event + " @ " + millis());
  try {
    String port_name = comPortList.getSelectedText();
    serial.stop();
    print(port_name);
    println(" closed");
    serial = null;
  }
  catch (NullPointerException e) {
    println("Failed to close port. The port was not opened.");
  }
} //_CODE_:button2:797107:

public void button1_click1(GButton source, GEvent event) { //_CODE_:button1:705330:
  println("button1 - GButton >> GEvent." + event + " @ " + millis());
  try {
    String port_name = comPortList.getSelectedText();
    serial = new Serial(this, port_name, speed);
    print(port_name);
    println(" opened");
  }
  catch (RuntimeException e) {
    println("Failed to open port.");
  }
} //_CODE_:button1:705330:

public void button3_click1(GButton source, GEvent event) { //_CODE_:button3:827852:
  println("button3 - GButton >> GEvent." + event + " @ " + millis());
  String com_list[] = Serial.list();
  for (int i = 0; i < com_list.length; i++) {
    comPortList.addItem(com_list[i]);
  }
} //_CODE_:button3:827852:

public void button4_click1(GButton source, GEvent event) { //_CODE_:ledOnOff:724628:
  if (serial != null) {
  serial.write("1\n");
  }
  println("button4 - GButton >> GEvent." + event + " @ " + millis());
} //_CODE_:ledOnOff:724628:



// Create all the GUI controls. 
// autogenerated do not edit
public void createGUI(){
  G4P.messagesEnabled(false);
  G4P.setGlobalColorScheme(GCScheme.CYAN_SCHEME);
  G4P.setMouseOverEnabled(false);
  surface.setTitle("Sketch Window");
  comPortList = new GDropList(this, 6, 6, 174, 168, 3, 20);
  comPortList.setItems(loadStrings("list_466745"), 0);
  comPortList.addEventHandler(this, "dropList1_click1");
  Led_Brightness = new GSlider(this, 54, 72, 384, 48, 20.0);
  Led_Brightness.setShowValue(true);
  Led_Brightness.setShowLimits(true);
  Led_Brightness.setTextOrientation(G4P.ORIENT_RIGHT);
  Led_Brightness.setRotation(PI/2, GControlMode.CORNER);
  Led_Brightness.setLimits(255, 0, 255);
  Led_Brightness.setEasing(4.0);
  Led_Brightness.setNumberFormat(G4P.INTEGER, 0);
  Led_Brightness.setOpaque(false);
  Led_Brightness.addEventHandler(this, "slider1_change1");
  button2 = new GButton(this, 438, 6, 108, 42);
  button2.setText("Close");
  button2.addEventHandler(this, "button2_click1");
  button1 = new GButton(this, 318, 6, 108, 42);
  button1.setText("Open");
  button1.addEventHandler(this, "button1_click1");
  button3 = new GButton(this, 198, 6, 108, 42);
  button3.setText("Refresh");
  button3.addEventHandler(this, "button3_click1");
  ledOnOff = new GButton(this, 442, 190, 107, 258);
  ledOnOff.setText("LED");
  ledOnOff.setLocalColorScheme(GCScheme.GREEN_SCHEME);
  ledOnOff.addEventHandler(this, "button4_click1");
}

// Variable declarations 
// autogenerated do not edit
GDropList comPortList; 
GSlider Led_Brightness; 
GButton button2; 
GButton button1; 
GButton button3; 
GButton ledOnOff; 
